Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
Lucene::BufferedReader Class Reference

Read text from a character-input stream, buffering characters so as to provide for the efficient reading of characters, arrays, and lines. More...

`#include <BufferedReader.h>`

Inheritance diagram for Lucene::BufferedReader:

## Public Member Functions

| BufferedReader (const ReaderPtr &reader, int32_t size=READER_BUFFER)
| Create a buffering character-input stream. More...
virtual | ~BufferedReader ()
virtual String | getClassName ()
boost::shared_ptr< BufferedReader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character. More...
virtual int32_t | read (wchar_t *b, int32_t offset, int32_t length)
| Read characters into a portion of an array. More...
virtual bool | readLine (String &line)
| Read a line of text. More...
virtual void | close ()
| Close the stream. More...
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation. More...
virtual void | reset ()
| Reset the stream. More...
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int64_t | skip (int64_t n)
| Skip characters. More...
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. More...
virtual int64_t | length ()
| The number of bytes in the stream. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Static Public Attributes

static const int32_t | READER_BUFFER
Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF

## Protected Member Functions

int32_t | refill ()
| Refill buffer in preparation for reading. More...
int32_t | peek ()
| Read a single character without moving position. More...
Protected Member Functions inherited from Lucene::Reader
| Reader ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

ReaderPtr | reader
int32_t | bufferSize
int32_t | bufferLength
int32_t | bufferPosition
CharArray | buffer
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Read text from a character-input stream, buffering characters so as to provide for the efficient reading of characters, arrays, and lines.

## Constructor & Destructor Documentation

## ◆ BufferedReader()

Lucene::BufferedReader::BufferedReader | ( | const ReaderPtr & | reader,
|  | int32_t | size = `READER_BUFFER`
| ) |  |

Create a buffering character-input stream.

## ◆ ~BufferedReader()

virtual Lucene::BufferedReader::~BufferedReader | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::BufferedReader::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::BufferedReader::close | ( |  | ) |

virtual

Close the stream.

Implements Lucene::Reader.

## ◆ getClassName()

virtual String Lucene::BufferedReader::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Reader.

## ◆ markSupported()

virtual bool Lucene::BufferedReader::markSupported | ( |  | ) |

virtual

Tell whether this stream supports the mark() operation.

Reimplemented from Lucene::Reader.

## ◆ peek()

int32_t Lucene::BufferedReader::peek | ( |  | ) |

protected

Read a single character without moving position.

## ◆ read() [1/2]

virtual int32_t Lucene::BufferedReader::read | ( |  | ) |

virtual

Read a single character.

Reimplemented from Lucene::Reader.

## ◆ read() [2/2]

virtual int32_t Lucene::BufferedReader::read | ( | wchar_t * | b,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

## ◆ readLine()

virtual bool Lucene::BufferedReader::readLine | ( | String & | line | ) |

virtual

Read a line of text.

## ◆ refill()

int32_t Lucene::BufferedReader::refill | ( |  | ) |

protected

Refill buffer in preparation for reading.

## ◆ reset()

virtual void Lucene::BufferedReader::reset | ( |  | ) |

virtual

Reset the stream.

Reimplemented from Lucene::Reader.

## ◆ shared_from_this()

boost::shared_ptr< BufferedReader > Lucene::BufferedReader::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ buffer

CharArray Lucene::BufferedReader::buffer

protected

## ◆ bufferLength

int32_t Lucene::BufferedReader::bufferLength

protected

## ◆ bufferPosition

int32_t Lucene::BufferedReader::bufferPosition

protected

## ◆ bufferSize

int32_t Lucene::BufferedReader::bufferSize

protected

## ◆ reader

ReaderPtr Lucene::BufferedReader::reader

protected

## ◆ READER_BUFFER

const int32_t Lucene::BufferedReader::READER_BUFFER

static

The documentation for this class was generated from the following file:

- BufferedReader.h

clucene.sourceforge.net